module.exports = {
  create: {
    requestBody: [
      "termid",
      "batchid",
      "classid",
      "studentid",
      "title",
      "content",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "termid",
      "batchid",
      "classid",
      "studentid",
      "title",
      "content",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        termid: "termid",
        batchid: "batchid",
        classid: "classid",
        studentid: "studentid",
        content: "content",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
  docx: {
    parameters: {
      query: {
        planid:"planid",
        termid: "termid",
        batchid: "batchid",
        classid: "classid",
        studenti: "studentid",
        id:"id",
      },
    },
    service: "exportDocx",
  },
};
